function Protwarbar:CreateDefaults()

	iconlist = {
		{ -- battle shout
			x = 475,
			y = 495,
			spellid = 6673,
			enabled = true,
			class = 1,
			hideOnCD = true,
		},
		{ --berserker rage
			x = 512,
			y = 495,
			spellid = 18499,
			enabled = true,
			class = 1,
			hideOnCD = true,
		}
	}

  	local defaults = {
  		profile = {
  			enabled = true,
  			locked = false,
  			hideooc = false,
  			barWidth = 250,
  			barHeight = 25,
  			x = 550,
  			y = 500,
  			VenFx = 805,
  			VenFy = 500,
  			InformationEnabled = true,
  			VengeanceEnabled = true,
  			shieldBarrierEnabled = true,
			VengeanceFont = "Big Noodle",
			VengeanceFontsize = 19,
			VengeanceWidth = 90,
			VengeanceHeight = 25,
  			color20 = {
				["r"] = 0.7,
				["g"] = 0.5,
				["b"] = 1,
				["a"] = 1,
			},
  			color60 = {
				["r"] = 0,
				["g"] = 1,
				["b"] = 1,
				["a"] = 1,
			},
  			color100 = {
				["r"] = 0,
				["g"] = 1,
				["b"] = 0,
				["a"] = 1,
			},
  			colorMax = {
				["r"] = 1,
				["g"] = 0,
				["b"] = 0,
				["a"] = 1,
			},
			bg = {
				["r"] = 0,
				["g"] = 0,
				["b"] = 0,
				["a"] = 0.6,
			},
			barTexture = "Solid",
			barFont = "Big Noodle",
			barFontsize = 19,
			IconsEnabled = true,
			icons = iconlist,
			iconsize = 35,
			iconFont = "Big Noodle",
			iconFontsize = 19,
			iconAlpha = 0.2

 		}
	}

	return defaults	
end